GpgFrontend::UI::KeyPairSubkeyTab Class Reference
Inheritance diagram for GpgFrontend::UI::KeyPairSubkeyTab:
Collaboration diagram for GpgFrontend::UI::KeyPairSubkeyTab:

## Public Member Functions

| KeyPairSubkeyTab (const std::string &key, QWidget *parent)
| Construct a new Key Pair Subkey Tab object. More...

## Protected Member Functions

void | contextMenuEvent (QContextMenuEvent *event) override

## Private Slots

void | slot_add_subkey ()
void | slot_refresh_subkey_list ()
void | slot_refresh_subkey_detail ()
void | slot_edit_subkey ()
void | slot_revoke_subkey ()
void | slot_refresh_key_info ()

## Private Member Functions

void | create_subkey_list ()
| Create a subkey list object. More...
void | create_subkey_opera_menu ()
| Create a subkey opera menu object. More...
const GpgSubKey & | get_selected_subkey ()
| Get the selected subkey object. More...

## Private Attributes

GpgKey | key_
QTableWidget * | subkey_list_ {}
std::vector< GpgSubKey > | buffered_subkeys_
QGroupBox * | list_box_
QGroupBox * | detail_box_
QMenu * | subkey_opera_menu_ {}
QLabel * | key_size_var_label_
| Label containing the keys key size.
QLabel * | expire_var_label_
| Label containing the keys expiration date.
QLabel * | created_var_label_
| Label containing the keys creation date.
QLabel * | algorithm_var_label_
| Label containing the keys algorithm.
QLabel * | key_id_var_label_
| Label containing the keys keyid.
QLabel * | fingerprint_var_label_
| Label containing the keys fingerprint.
QLabel * | usage_var_label_
QLabel * | master_key_exist_var_label_
QLabel * | card_key_label_

## Constructor & Destructor Documentation

## KeyPairSubkeyTab()

GpgFrontend::UI::KeyPairSubkeyTab::KeyPairSubkeyTab | ( | const std::string & | key,
|  | QWidget * | parent
| ) |  |

Construct a new Key Pair Subkey Tab object.

Parameters

  key |
  parent |

References algorithm_var_label_, create_subkey_list(), create_subkey_opera_menu(), created_var_label_, expire_var_label_, fingerprint_var_label_, GpgFrontend::GpgKey::GetEmail(), GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::GpgKey::GetSubKeys(), GpgFrontend::GpgKey::IsHasMasterKey(), GpgFrontend::GpgKey::IsPrivateKey(), key_id_var_label_, and key_size_var_label_.

## Member Function Documentation

## contextMenuEvent()

void GpgFrontend::UI::KeyPairSubkeyTab::contextMenuEvent | ( | QContextMenuEvent * | event | ) |

overrideprotected

Parameters

  event |

## create_subkey_list()

void GpgFrontend::UI::KeyPairSubkeyTab::create_subkey_list | ( |  | ) |

private

Create a subkey list object.

Referenced by KeyPairSubkeyTab().

## create_subkey_opera_menu()

void GpgFrontend::UI::KeyPairSubkeyTab::create_subkey_opera_menu | ( |  | ) |

private

Create a subkey opera menu object.

Referenced by KeyPairSubkeyTab().

## get_selected_subkey()

const GpgSubKey & GpgFrontend::UI::KeyPairSubkeyTab::get_selected_subkey | ( |  | ) |

private

Get the selected subkey object.

Returns
  const GpgSubKey&

The documentation for this class was generated from the following files:

- src/ui/dialog/keypair_details/KeyPairSubkeyTab.h
- src/ui/dialog/keypair_details/KeyPairSubkeyTab.cpp